org.keycloak.representations.idm

## Class ProtocolMapperTypeRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ProtocolMapperTypeRepresentation

-     public class ProtocolMapperTypeRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProtocolMapperTypeRepresentation.ConfigProperty`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `category`
    `protected String` | `helpText`
    `protected String` | `id`
    `protected String` | `name`
    `protected List<ProtocolMapperTypeRepresentation.ConfigProperty>` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperTypeRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `String` | `getName()`
    `List<ProtocolMapperTypeRepresentation.ConfigProperty>` | `getProperties()`
    `void` | `setCategory(String category)`
    `void` | `setHelpText(String helpText)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setProperties(List<ProtocolMapperTypeRepresentation.ConfigProperty> properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### category

          protected String category

    - #### helpText

          protected String helpText

    - #### properties

          protected List<ProtocolMapperTypeRepresentation.ConfigProperty> properties

  - ### Constructor Detail

    - #### ProtocolMapperTypeRepresentation

          public ProtocolMapperTypeRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getHelpText

          public String getHelpText()

    - #### setHelpText

          public void setHelpText(String helpText)

    - #### getProperties

          public List<ProtocolMapperTypeRepresentation.ConfigProperty> getProperties()

    - #### setProperties

          public void setProperties(List<ProtocolMapperTypeRepresentation.ConfigProperty> properties)

Copyright © 2015. All rights reserved.